2019-08-21 02:47 CEST

View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0006046Spring engineGeneralpublic2018-09-30 01:59
ReporterFloris 
Assigned ToKloot 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version104.0 +git 
Target VersionFixed in Version 
Summary0006046: toggling camera pan mode while moving mouse = camera position jumps back
DescriptionI've reported this issue a few times over the years but didn't really know how to specifically reproduce it.

See: https://www.youtube.com/watch?v=k5XfJQkm_2g

TagsNo tags attached.
Checked infolog.txt for lua Errors
Attached Files

-Relationships
+Relationships

-Notes

~0019364

Kloot (developer)

https://springrts.com/dl/buildbot/default/mantis6046 might fix it, needs testing.

~0019365

Floris (reporter)

THANK GOD IT SEEMS FIXED

#1 frustration about spring engine since forever seems solved!

~0019366

Kloot (developer)

Fix b2e0badd3a5fa0c2e31f19849f207862d2627997 committed to develop branch: fix 0006046 0005326 0005222 0004663
one small step for Spring, repo: spring changeset id: 10756

~0019370

Kloot (developer)

Fix 9e82927f50b059442b2e672b50a7969c0b378f27 committed to maintenance branch: fix 0006046 0005326 0005222 0004663
one small step for Spring, repo: spring changeset id: 10757
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2018-09-29 22:07 Floris New Issue
2018-09-30 00:45 Kloot Note Added: 0019364
2018-09-30 01:05 Floris Note Added: 0019365
2018-09-30 01:58 Kloot Changeset attached => spring develop b2e0badd
2018-09-30 01:58 Kloot Note Added: 0019366
2018-09-30 01:58 Kloot Assigned To => Kloot
2018-09-30 01:58 Kloot Status new => resolved
2018-09-30 01:58 Kloot Resolution open => fixed
2018-09-30 01:59 Kloot Changeset attached => spring maintenance 9e82927f
2018-09-30 01:59 Kloot Note Added: 0019370
+Issue History